### Method

# FwupdPlugin Device build_vendor_id_u16

since: 2.0.0

#### Declaration [src]

    void
    fu_device_build_vendor_id_u16 (
      FuDevice* self,
      const gchar* prefix,
      guint16 value
    )

#### Description [src]

Builds a device vendor ID, if `value` is not 0.

Available since: 2.0.0

#### Parameters

`prefix`

  Type: `const gchar*`

  A prefix string, e.g. `USB`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `guint16`

  A value, e.g. 0x1234.